
function Skinner:AucAdvanced()
	if not self.db.profile.AuctionFrame then return end

	-- loop until Appraiser Module is loaded
	if not AucAdvanced.Modules.Util.Appraiser then
		self:ScheduleEvent(self.AucAdvanced, 0.1, self)
		return
	end

	-->-- Appraiser
	self:SecureHook(AucAdvanced.Modules.Util.Appraiser.Private, "CreateFrames", function()
-- 		self:Debug("AA.M.U.A.P_CF")
		local frame = AucAdvanced.Modules.Util.Appraiser.Private.frame
		-->>-- itembox frame
		self:applySkin(frame.itembox)
		-->>-- salebox frame
		self:applySkin(frame.salebox)
		self:keepFontStrings(AppraiserSaleboxModel)
		frame.salebox.bid:ClearAllPoints()
		frame.salebox.bid:SetPoint("TOP", frame.salebox.number, "BOTTOM", 0, -5)
		frame.salebox.bid:SetPoint("RIGHT", frame.salebox, "RIGHT", -10, 0)
		self:moveObject(AppraiserSaleboxBidSilver, "-", 10, nil, nil)
		self:skinMoneyFrame(AppraiserSaleboxBid)
		self:moveObject(AppraiserSaleboxBuySilver, "-", 10, nil, nil)
		self:skinMoneyFrame(AppraiserSaleboxBuy)
		-->>-- imageview frame
		self:applySkin(frame.imageview)
		self:moveObject(frame.refresh, nil, nil, "-", 6, frame)
		self:moveObject(frame.gobatch, nil, nil, "-", 6, frame)
		self:moveObject(frame.go, nil, nil, "-", 6, frame)
		-->>-- manifest frame
		self:applySkin(frame.manifest)
		end)
	
	-->>-- Tooltip (uses the EnhancedTooltip so skin it here if required)		
	if self.db.profile.Tooltips.skin then
		self:SecureHook(AucAdvanced.Modules.Util.Appraiser, "ProcessTooltip", function(...)
-- 			self:Debug("AA.M.U.A_PT")
			self:EnhTooltip()
			self:Unhook(AucAdvanced.Modules.Util.Appraiser, "ProcessTooltip")
			end)
	end

	-- hook this to skin scroll bars
	self:Hook(LibStub:GetLibrary("PanelScroller"), "Create", function(this, name, parent)
-- 		self:Debug("nPS_C: [%s, %s, %s]", this, name, parent)
		local sb = self.hooks[LibStub:GetLibrary("PanelScroller")].Create(this, name, parent)
		self:skinUsingBD2(sb.hScroll)
		self:skinUsingBD2(sb.vScroll)
		return sb
		end, true)
	
	-- hook this to skin Configator frames
	self:Hook(LibStub:GetLibrary("Configator"), "Create", function(this, setter, getter)
		local frame = self.hooks[LibStub:GetLibrary("Configator")].Create(this, setter, getter)
-- 		self:Debug("nC_C: [%s]", frame:GetName())
		if not frame.skinned then
			self:applySkin(frame)
			frame.skinned = true
		end
		-- hook this to skin various controls
		self:Hook(frame, "AddControl", function(this, id, cType, column, ...)
-- 			self:Debug("nC_C_AC: [%s, %s, %s, %s]", id, cType, column, ...)
			local control = self.hooks[frame].AddControl(this, id, cType, column, ...)
			-- skin the sub-frame if required
			if not this.tabs[id][2].skinned then 
				self:applySkin(this.tabs[id][2])
				this.tabs[id][2].skinned = true
			end
			-- skin the DropDown
			if cType == "Selectbox" then 
				self:keepFontStrings(control)
				if not SelectBoxMenu.skinned then 
					self:applySkin(SelectBoxMenu.back)
					SelectBoxMenu.skinned= true
				end
			end
			if cType == "Text" then self:skinEditBox(control, {9}) end
			if cType == "NumberBox" then self:skinEditBox(control, {9}) end
			if cType == "MoneyFrame" or cType == "MoneyFramePinned" then self:skinMoneyFrame(control) end
			return control
			end, true)
		return frame
		end, true)
	
end
